Subject: Re: bug#7130: 24.0.50; EPA queries twice and doesn't cache passwords when decrypting files

From: Daiki Ueno <[email-masked]>
Date: Sat, 02 Oct 2010 09:23:32 +0900

Tassilo Horn <[email-masked]> writes:

>> If you see your password is cached, that is probably because of my
>> hack in gpg-agent:
>>
>> http://lists.gnupg.org/pipermail/gnupg-devel/2009-May/025045.html
>
> Hm, passwords aren't cached in neither with nor without symlink.  So I
> guess that patch is not in my gnupg version.

FWIW, it has been available since gnupg-2.0.13 and I confirmed it with
Debian package based on 2.0.14.  You can try it with:

$ echo aaa > test.txt
$ gpg2 --symmetric test.txt # will ask password twice
$ pkill -HUP gpg-agent      # clear the password cache
$ gpg2 < test.txt.gpg       # will ask password
$ gpg2 < test.txt.gpg       # won't ask password

I personally think this feature safer than caching passwords in elisp.

Regards,
-- 
Daiki Ueno